%define modname proctitle
%define soname %{modname}.so
%define inifile A92_%{modname}.ini

Summary:	Allows setting the current process name on Linux and BSD
Name:		php-%{modname}
Version:	0.1.2
Release:	%mkrel 20
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/proctitle
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	dos2unix
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
This extension allows changing the current process' name on Linux and *BSD
systems. This is useful when using pcntl_fork() to identify running processes
in process list

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc LICENSE README package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 0.1.2-20.mga7
+ Revision: 1595961
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 0.1.2-19.mga8
+ Revision: 1538983
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 0.1.2-18.mga8
+ Revision: 1463535
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 0.1.2-17.mga8
+ Revision: 1454924
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 0.1.2-15.mga7
+ Revision: 1340450
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.1.2-14.mga7
+ Revision: 1325887
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-13.mga7
+ Revision: 1300235
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 0.1.2-12.mga7
+ Revision: 1217395
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 0.1.2-11.mga7
+ Revision: 1180970
+ rebuild (emptylog)

* Thu Feb 04 2016 umeabot <umeabot> 0.1.2-10.mga7
+ Revision: 935194
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-9.mga5
+ Revision: 744141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-8.mga5
+ Revision: 687539
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.1.2-7.mga5
+ Revision: 616578
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.1.2-6.mga4
+ Revision: 567629
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.2-5.mga4
+ Revision: 527863
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.2-4.mga4
+ Revision: 442691
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.2-3.mga3
+ Revision: 393314
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 377515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 0.1.2-1.mga3
+ Revision: 275477
- upgrade to 0.1.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.1-13.mga2
+ Revision: 224194
- fix dos2unix syntax
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 0.1.1-12.mga1
+ Revision: 48210
- removed buildroot definition from .spec
- imported package php-proctitle

